aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-text-glob/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 15:20:01 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 15:20:15 +0000
commit7fea3245778f8d67f1229cd9a223350c49fcf3ff (patch)
tree2ebef61c32671eae0920622ef9e3fe8c3c514aec /community/perl-text-glob/APKBUILD
parentf0fbaa2e000bd48e1409230771036fd86e4c025a (diff)
downloadaports-7fea3245778f8d67f1229cd9a223350c49fcf3ff.tar.gz
aports-7fea3245778f8d67f1229cd9a223350c49fcf3ff.tar.bz2
aports-7fea3245778f8d67f1229cd9a223350c49fcf3ff.tar.xz
community/perl-*: moved from testing
community/perl-file-find-rule community/perl-number-compare community/perl-text-glob
Diffstat (limited to 'community/perl-text-glob/APKBUILD')
-rw-r--r--community/perl-text-glob/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/community/perl-text-glob/APKBUILD b/community/perl-text-glob/APKBUILD
new file mode 100644
index 0000000000..55ee7ecd58
--- /dev/null
+++ b/community/perl-text-glob/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-text-glob
+_pkgreal=Text-Glob
+pkgver=0.09
+pkgrel=0
+pkgdesc="match globbing patterns against text"
+url="http://search.cpan.org/dist/Text-Glob/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends perl-module-build"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ perl Build.PL installdirs=vendor || return 1
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ ./Build && ./Build test
+}
+
+package() {
+ cd "$_builddir"
+ ./Build install destdir="$pkgdir" || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="1daa10e087f891c49b720a5c551a024b Text-Glob-0.09.tar.gz"
+sha256sums="a5a121da026fbc4cc8c1065cfbe76ab5110e88091f454e70ee8c23a933372753 Text-Glob-0.09.tar.gz"
+sha512sums="9b729e4ece88ad79e1b637c7f35e5e1ecae3fd7f62c408ed4f3fcac2e8e8afff32d7d805e1b0269800aada5ae609d03335d42ac54def2797d301e91fa488ae47 Text-Glob-0.09.tar.gz"